1. PayIn
Finix English
  • Finix API documentation
  • Introduction
  • Request Signing
  • Signature Verification
  • India
    • PayIn
      • Create payment
      • Fetch payment status
      • Payment webhook (async notification)
    • PayOut
      • Initiate payout
      • Fetch payout status
      • Payout webhook (async notification)
  • Egypt
    • PayIn
      • Create payment
        POST
      • Fetch payment status
        POST
      • Payment webhook (async notification)
        POST
    • PayOut
      • Initiate payout
      • Fetch payout status
      • Payout webhook (async notification)
  • Nigeria
    • PayIn
      • Create payment
      • Fetch payment status
      • Payment webhook (async notification)
    • PayOut
      • Initiate payout
      • Fetch payout status
      • Payout webhook (async notification)
      • Bank code
  • Indonesia
    • PayIn
      • Create payment
      • Fetch payment status
      • Payment webhook (async notification)
    • PayOut
      • Initiate payout
      • Fetch payout status
      • Payout webhook (async notification)
      • Bank code
  • Account Balance
    POST
  • USDT Exchange Rate
    POST
  1. PayIn

Create payment

POST
https://secure.finixpayment.com/v1/api/payment/initiate
This endpoint initiates a payment on Finix and returns a hosted checkout URL. Open it in a browser to present the payment form to your customer. The checkout URL is valid for 24 hours.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://secure.finixpayment.com/v1/api/payment/initiate' \
--header 'MerchantID: FX100001' \
--header 'Signature: 7QbwLbLsS0MAVK3RizeDrNrHZYsKheOVE5yrzH2ectK6uwwT3RMtEJjXHaYi2BFcNUuqMqVknbOc0eIatK0r8BQT87i3U60pvVBblrPG02QkHBJYGBel2pH09oUZ0BNSsphZADxvQqTUVkTXbdaBIZYo8GGY3m96Rb5vUToKEzQ66cm3bduhuxjXf12gXoEgoPFQ8vlpXOAlMxQ5ARMylmNv25Ov29gidi4Z0qjimu96FSWcnxcXvIZfQD7HMzhC' \
--header 'Timestamp: 1750553505' \
--header 'Content-Type: application/json' \
--data-raw '{
    "merchantRef": "0954f567-ea8f-49b4-920f-c49174aa2c1f",
    "currency": "EGP",
    "method": "FAWRY_RN",
    "amount": 100,
    "name": "Lucia Lesch",
    "phone": "01012345678",
    "email": "quinten31@yahoo.com",
    "redirectUrl": "https://www.redirect.com/",
    "webhookUrl": "https://www.webhook.com/"
}'
Response Response Example
200 - SUCCESS
{
    "code": "200",
    "message": "SUCCESS",
    "data": {
        "transactionRef": "e4b47eed-2f99-4617-94e1-637b6753894e",
        "merchantRef": "1fa498b3-4eec-4aae-94f9-bb47719b88b5",
        "currency": "EGP",
        "method": "FAWRY_RN",
        "amount": 100,
        "checkoutUrl": "https://www.finixpayment.com/checkout"
    }
}
Modified at 2026-04-07 17:04:45
Previous
Payout webhook (async notification)
Next
Fetch payment status
Built with